<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: bmp3_status Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structbmp3__status-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">bmp3_status Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>bmp3 status flags  
 <a href="structbmp3__status.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="bmp3__defs_8h_source.html">bmp3_defs.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for bmp3_status:</div>
<div class="dyncontent">
<div class="center"><img src="structbmp3__status__coll__graph.png" border="0" usemap="#bmp3__status_coll__map" alt="Collaboration graph"/></div>
<map name="bmp3__status_coll__map" id="bmp3__status_coll__map">
<area shape="rect" title="bmp3 status flags" alt="" coords="172,95,279,121"/>
<area shape="rect" href="structbmp3__err__status.html" title="bmp3 error status flags" alt="" coords="5,5,136,32"/>
<area shape="rect" href="structbmp3__int__status.html" title="bmp3 interrupt status flags" alt="" coords="160,5,291,32"/>
<area shape="rect" href="structbmp3__sens__status.html" title="bmp3 sensor status flags" alt="" coords="315,5,458,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac894dca102946b04979041c42f9cce94"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structbmp3__int__status.html">bmp3_int_status</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbmp3__status.html#ac894dca102946b04979041c42f9cce94">intr</a></td></tr>
<tr class="separator:ac894dca102946b04979041c42f9cce94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16216babcb99d3a5a020cbdde7b48928"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structbmp3__sens__status.html">bmp3_sens_status</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbmp3__status.html#a16216babcb99d3a5a020cbdde7b48928">sensor</a></td></tr>
<tr class="separator:a16216babcb99d3a5a020cbdde7b48928"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94a993c9f8ecd7fc53503144c60d73b2"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structbmp3__err__status.html">bmp3_err_status</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbmp3__status.html#a94a993c9f8ecd7fc53503144c60d73b2">err</a></td></tr>
<tr class="separator:a94a993c9f8ecd7fc53503144c60d73b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5050e3d0b4f4a6be193320c8b0bc778"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbmp3__status.html#ab5050e3d0b4f4a6be193320c8b0bc778">pwr_on_rst</a></td></tr>
<tr class="separator:ab5050e3d0b4f4a6be193320c8b0bc778"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>bmp3 status flags </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a94a993c9f8ecd7fc53503144c60d73b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94a993c9f8ecd7fc53503144c60d73b2">&#9670;&nbsp;</a></span>err</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structbmp3__err__status.html">bmp3_err_status</a> bmp3_status::err</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Error status </p>

</div>
</div>
<a id="ac894dca102946b04979041c42f9cce94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac894dca102946b04979041c42f9cce94">&#9670;&nbsp;</a></span>intr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structbmp3__int__status.html">bmp3_int_status</a> bmp3_status::intr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Interrupt status </p>

</div>
</div>
<a id="ab5050e3d0b4f4a6be193320c8b0bc778"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5050e3d0b4f4a6be193320c8b0bc778">&#9670;&nbsp;</a></span>pwr_on_rst</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t bmp3_status::pwr_on_rst</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Power on reset status </p>

</div>
</div>
<a id="a16216babcb99d3a5a020cbdde7b48928"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16216babcb99d3a5a020cbdde7b48928">&#9670;&nbsp;</a></span>sensor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structbmp3__sens__status.html">bmp3_sens_status</a> bmp3_status::sensor</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sensor status </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="bmp3__defs_8h_source.html">bmp3_defs.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
